// eslint-disable-next-line no-global-assign
Ext = window.Ext || {};
Ext.samples = {
    samplesCatalog: [
        {
            "title": "Sample Applications",
            "items": [
                {
                    "text": "Admin Dashboard",
                    "url": "admin-dashboard/",
                    "icon": "responsive-design",
                    "desc": "Complete, feature-rich administrative application template"
                },
                {
                    "text": "Executive Dashboard",
                    "url": "classic/executive-dashboard/index.html",
                    "icon": "exec-dashboard",
                    "desc": "A tablet-friendly, responsive application template"
                }
            ]
        },
        {
            "title": "Combination Examples",
            "items": [
                {
                    "text": "Kitchen Sink (Classic)",
                    "url": "kitchensink/?classic",
                    "icon": "kitchensink",
                    "desc": "Showcase of Ext JS components and features in the Classic Toolkit"
                },
                {
                    "text": "Kitchen Sink (Modern)",
                    "url": "kitchensink/?modern",
                    "icon": "kitchensink",
                    "desc": "Showcase of Ext JS components and features in the Modern Toolkit"
                },
                {
                    "text": "Ext JS Calendar",
                    "url": "calendar/",
                    "icon": "calendar",
                    "desc": "Example Calendar application using Google's Calendar API"
                },
                {
                    "text": "Ticket App",
                    "url": "classic/ticket-app/index.html",
                    "icon": "ticket",
                    "desc": "Simple ticket application that demonstrates MVC concepts and data binding"
                },
                {
                    "text": "Portal Demo",
                    "url": "classic/portal/index.html",
                    "icon": "portal",
                    "desc": "A page layout using several custom extensions to provide a web portal interface."
                },
                {
                    "text": "Simple Tasks",
                    "url": "classic/simple-tasks/index.html",
                    "icon": "tasks",
                    "desc": "Complete personal task management application example"
                },
                {
                    "text": "Responsive Design Demo",
                    "url": "classic/responsive-app/index.html",
                    "icon": "responsive-design",
                    "desc": "A simple application that shows how to implement a responsive UI.",
                    "status": "new"
                },
                {
                    "text": "Image Viewer",
                    "url": "classic/organizer/organizer.html",
                    "icon": "imageviewer",
                    "desc": "An image viewer with drag/drop functionality"
                },
                {
                    "text": "Theme Viewer",
                    "url": "classic/themes/index.html",
                    "icon": "theme",
                    "desc": "View and test every Ext component against bundled Ext themes."
                },
                {
                    "text": "Right-to-Left (RTL)",
                    "url": "classic/rtl/rtl.html",
                    "icon": "rtl",
                    "desc": "Demonstrates Ext JS support for right-to-left languages"
                },
                {
                    "text": "Web Desktop",
                    "url": "classic/desktop/index.html",
                    "icon": "webdesktop",
                    "desc": "Demonstrates how one could build a desktop in the browser using Ext JS"
                },
                {
                    "text": "Accessibility Demo",
                    "url": "classic/aria/",
                    "icon": "keyboard",
                    "desc": "Shows Ext JS's extensive keyboard and ARIA support"
                }
            ]
        },
        {
            "title": "Grids",
            "items": [
                {
                    "text": "Grid Data Binding",
                    "url": "classic/grid/binding.html",
                    "icon": "grid-data-binding",
                    "desc": "Data binding a grid to a detail preview panel via the grid\"s RowSelectionModel"
                },
                {
                    "text": "Grid Grouping with Summary",
                    "url": "classic/grid/group-summary-grid.html",
                    "icon": "grid-summary",
                    "desc": "Grouping grid with cell editing and custom dynamic summary calculations"
                },
                {
                    "text": "Grid with Buffered Store",
                    "url": "classic/grid/buffered-store.html",
                    "icon": "grid-infinite-scroll",
                    "desc": "Sample grid which scrolls through thousands of rows dynamically loaded from a server"
                },
                {
                    "text": "Grid with Live Search Capability",
                    "url": "classic/grid/live-search-grid.html",
                    "icon": "grid-live-search",
                    "desc": "Grid with Live Search Capability"
                },
                {
                    "text": "Grouping with Remote Summary",
                    "url": "classic/grid/remote-group-summary-grid.html",
                    "icon": "grid-group-summaries",
                    "desc": "Grouping grid with cell editing and remotely loaded dynamic summary calculations"
                },
                {
                    "text": "RESTful Store with GridPanel and RowEditor",
                    "url": "classic/restful/restful.html",
                    "icon": "grid-row-editor-rest",
                    "desc": "A RESTful Store which generates CRUD requests to the server in JSON format"
                },
                {
                    "text": "Editable Grid with Writable Store",
                    "url": "classic/writer/writer.html",
                    "icon": "writer-thumb",
                    "desc": "A Grid that generate CRUD requests to the server using Ajax"
                },
                {
                    "text": "Editable Grid with JSONP Writable Store",
                    "url": "classic/writer/writer-jsonp.html",
                    "icon": "writer-thumb-json",
                    "desc": "A Grid that generate CRUD requests to the server using JsonP"
                },
                {
                    "text": "Buffered Scrolling",
                    "url": "classic/grid/buffer-grid.html",
                    "icon": "buffer-grid",
                    "desc": "A grid that uses a virtualized scrolling system to handle very large data sets."
                },
                {
                    "text": "Grid From Markup",
                    "url": "classic/grid/transform-dom.html",
                    "icon": "grid-transform",
                    "desc": "Create a grid with from an existing, unformatted HTML table."
                },
                {
                    "text": "Locking Grouping Summary Grid",
                    "url": "classic/grid/locking-group-summary-grid.html",
                    "icon": "grid-summary",
                    "desc": "Grouping grid with cell editing, column locking, and dynamic summary calculations."
                },
                {
                    "text": "Grid with Filtered and Buffered Store",
                    "url": "classic/grid/filtered-buffered-store.html",
                    "icon": "grid-infinite-scroll",
                    "desc": "A grid that shows how to apply filters to a buffered store."
                },
                {
                    "text": "Locking Grouped Header Summary Grid",
                    "url": "classic/grid/locking-grp-summary-grp-hdrs-grid.html",
                    "icon": "grid-summary-head",
                    "desc": "Grouped grid with locked columns and grouped column headers"
                }
            ]
        },
        {
            "title": "Trees",
            "items": [
                {
                    "text": "Locking TreeGrid",
                    "url": "classic/tree/locking-treegrid.html",
                    "icon": "tree-columns",
                    "desc": "TreeGrid with lockable columns"
                },
                {
                    "text": "Custom Drop Logic",
                    "url": "classic/tree/custom-drop-logic.html",
                    "icon": "tree-custom-node-logic",
                    "desc": "A tree with custom drag/drop handling to determine where nodes can be moved"
                },
                {
                    "text": "Buffer Rendered Tree",
                    "url": "classic/tree/buffer-rendered-treegrid.html",
                    "icon": "tree-columns-buff",
                    "desc": "Rendering very large trees efficiently"
                },
                {
                    "text": "Locking Buffer Rendered Tree",
                    "url": "classic/tree/locking-buffer-rendered-treegrid.html",
                    "icon": "tree-columns-lock",
                    "desc": "Rendering very large trees efficiently. With locked columns"
                }
            ]
        },
        {
            "title": "Drag and Drop",
            "items": [
                {
                    "text": "Grid Cell to Cell DnD",
                    "url": "classic/dd/cell-to-cell-dd.html",
                    "icon": "dd-celltocell",
                    "desc": "Illustrates how a custom plugin can enable cell drag and drop operations within the same GridView"
                },
                {
                    "text": "Custom Drag and Drop",
                    "url": "classic/dd/dragdropzones.html",
                    "icon": "dd-zones",
                    "desc": "A completely custom Drag and Drop example showing DnD between a DataView and a grid"
                }
            ]
        },
        {
            "title": "DataView",
            "items": [
                {
                    "text": "DataView",
                    "url": "classic/view/data-view.html",
                    "icon": "data-view",
                    "desc": "This example shows how to use an Ext.view.View"
                },
                {
                    "text": "Animated DataView",
                    "url": "classic/view/animated-dataview.html",
                    "icon": "animated-dataview",
                    "desc": "Transition animation plugin applied to a standard DataView"
                },
                {
                    "text": "Advanced DataView",
                    "url": "classic/view/chooser/chooser.html",
                    "icon": "advanced-dataview",
                    "desc": "DataView which allows you to filter and sort images"
                }
            ]
        },
        {
            "title": "Miscellaneous",
            "items": [
                {
                    "text": "History",
                    "url": "classic/history/history.html",
                    "icon": "history",
                    "desc": "A History manager that allows the user to navigate an Ext UI via browser back/forward"
                },
                {
                    "text": "History - Router",
                    "url": "classic/history/history-router.html",
                    "icon": "history-router",
                    "desc": "Utilizing routes within a MVC controller to navigate an Ext UI via browser back/forward buttons",
                    "status": "new"
                },
                {
                    "text": "Google Maps",
                    "url": "classic/window/gmap.html",
                    "icon": "gmap-panel",
                    "desc": "A Google Maps wrapper class that enables easy display of dynamic maps in Ext panels and windows"
                },
                {
                    "text": "Editor",
                    "url": "classic/simple-widgets/editor.html",
                    "icon": "editor",
                    "desc": "An example demonstrating the ease of use of the Ext.editor class to modify DOM elements"
                },
                {
                    "text": "Slider",
                    "url": "classic/slider/slider.html",
                    "icon": "slider",
                    "desc": "A slider component that supports vertical mode, snapping, tooltips, customized styles and multiple thumbs"
                },
                {
                    "text": "Progress Bar",
                    "url": "classic/simple-widgets/progress-bar.html",
                    "icon": "progress",
                    "desc": "A basic progress bar component shown in various configurations and with custom styles"
                },
                {
                    "text": "Panels",
                    "url": "classic/panel/panel.html",
                    "icon": "panel",
                    "desc": "A basic collapsible panel example."
                },
                {
                    "text": "Resizable",
                    "url": "classic/resizer/basic.html",
                    "icon": "resizable",
                    "desc": "Examples of making any element resizable with various configuration options"
                },
                {
                    "text": "Spotlight",
                    "url": "classic/core/spotlight.html",
                    "icon": "spotlight",
                    "desc": "A utility for masking everything except a single element on the page to visually highlight it"
                },
                {
                    "text": "Keyboard Navigation",
                    "url": "classic/keynav/keynav.html",
                    "icon": "keyboard",
                    "desc": "Shows a custom keyboard navigation using the KeyNav class"
                },
                {
                    "text": "Nested Loading",
                    "url": "classic/app/nested-loading/nested-loading.html",
                    "icon": "nested-loading",
                    "desc": "An MVC example that shows simple navigation and nested loading with the data package"
                },
                {
                    "text": "Localization (static)",
                    "url": "classic/locale/dutch-form.html",
                    "icon": "locale-dutch",
                    "desc": "Demonstrates fully localizing a form by including a custom locale script"
                },
                {
                    "text": "Localization (dynamic)",
                    "url": "classic/locale/multi-lang.html",
                    "icon": "locale-switch",
                    "desc": "Dynamically render various Ext components in different locales by selecting from a locale list"
                },
                {
                    "text": "Browser State Management",
                    "url": "classic/state/state.html",
                    "icon": "state-saving",
                    "desc": "An example of storing your application's state"
                },
                {
                    "text": "Basic Templating",
                    "url": "classic/platform/templates.html",
                    "icon": "templates",
                    "desc": "A basic templating example"
                },
                {
                    "text": "MultiSelect and ItemSelector",
                    "url": "classic/multiselect/multiselect-demo.html",
                    "icon": "form-multiselect",
                    "desc": "Example controls for selecting a list of items in forms"
                }
            ]
        }
    ]
};
