Ext.define('KitchenSink.store.Restaurants', {
    extend: 'Ext.data.Store',
    alias: 'store.restaurants',
    storeId: 'restaurants',

    model: 'KitchenSink.model.Restaurant',

    groupField: 'cuisine',
    sorters: ['cuisine', 'name'],

    data: [{
        name: 'Cheesecake Factory',
        cuisine: 'American',
        rating: 4
    }, {
        name: 'University Cafe',
        cuisine: 'American',
        rating: 3
    }, {
        name: 'Slider Bar',
        cuisine: 'American',
        rating: 5
    }, {
        name: 'Shokolaat',
        cuisine: 'American',
        rating: 4
    }, {
        name: 'Gordon Biersch',
        cuisine: 'American',
        rating: 3
    }, {
        name: 'Crepevine',
        cuisine: 'American',
        rating: 5
    }, {
        name: 'The Old Shoe',
        cuisine: 'American',
        rating: 1
    }, {
        name: 'Creamery',
        cuisine: 'American',
        rating: 4
    }, {
        name: 'Old Pro',
        cuisine: 'American',
        rating: 2
    }, {
        name: 'Nola\'s',
        cuisine: 'Cajun',
        rating: 5
    }, {
        name: 'House of Bagels',
        cuisine: 'Bagels',
        rating: 4
    }, {
        name: 'The Prolific Oven',
        cuisine: 'Sandwiches',
        rating: 3
    }, {
        name: 'La Strada',
        cuisine: 'Italian',
        rating: 5
    }, {
        name: 'Buca di Beppo',
        cuisine: 'Italian',
        rating: 4
    }, {
        name: 'Pasta?',
        cuisine: 'Italian',
        rating: 3
    }, {
        name: 'Madame Tam',
        cuisine: 'Asian',
        rating: 5
    }, {
        name: 'Sprout Cafe',
        cuisine: 'Salad',
        rating: 2
    }, {
        name: 'Pluto\'s',
        cuisine: 'Salad',
        rating: 3
    }, {
        name: 'Junoon',
        cuisine: 'Indian',
        rating: 5
    }, {
        name: 'Bistro Maxine',
        cuisine: 'French',
        rating: 4
    }, {
        name: 'Three Seasons',
        cuisine: 'Vietnamese',
        rating: 3
    }, {
        name: 'Sancho\'s Taquira',
        cuisine: 'Mexican',
        rating: 5
    }, {
        name: 'Reposado',
        cuisine: 'Mexican',
        rating: 4
    }, {
        name: 'Siam Royal',
        cuisine: 'Thai',
        rating: 3
    }, {
        name: 'Krung Siam',
        cuisine: 'Thai',
        rating: 5
    }, {
        name: 'Thaiphoon',
        cuisine: 'Thai',
        rating: 2
    }, {
        name: 'Tamarine',
        cuisine: 'Vietnamese',
        rating: 3
    }, {
        name: 'Joya',
        cuisine: 'Tapas',
        rating: 5
    }, {
        name: 'Jing Jing',
        cuisine: 'Chinese',
        rating: 4
    }, {
        name: 'Patxi\'s Pizza',
        cuisine: 'Pizza',
        rating: 3
    }, {
        name: 'Evvia Estiatorio',
        cuisine: 'Mediterranean',
        rating: 5
    }, {
        name: 'Cafe 220',
        cuisine: 'Mediterranean',
        rating: 4
    }, {
        name: 'Cafe Renaissance',
        cuisine: 'Mediterranean',
        rating: 3
    }, {
        name: 'Kan Zeman',
        cuisine: 'Mediterranean',
        rating: 5
    }, {
        name: 'Gyros-Gyros',
        cuisine: 'Mediterranean',
        rating: 4
    }, {
        name: 'Mango Caribbean Cafe',
        cuisine: 'Caribbean',
        rating: 3
    }, {
        name: 'Coconuts Caribbean Restaurant & Bar',
        cuisine: 'Caribbean',
        rating: 5
    }, {
        name: 'Rose & Crown',
        cuisine: 'English',
        rating: 4
    }, {
        name: 'Baklava',
        cuisine: 'Mediterranean',
        rating: 3
    }, {
        name: 'Mandarin Gourmet',
        cuisine: 'Chinese',
        rating: 5
    }, {
        name: 'Bangkok Cuisine',
        cuisine: 'Thai',
        rating: 4
    }, {
        name: 'Darbar Indian Cuisine',
        cuisine: 'Indian',
        rating: 3
    }, {
        name: 'Mantra',
        cuisine: 'Indian',
        rating: 5
    }, {
        name: 'Janta',
        cuisine: 'Indian',
        rating: 4
    }, {
        name: 'Hyderabad House',
        cuisine: 'Indian',
        rating: 3
    }, {
        name: 'Starbucks',
        cuisine: 'Coffee',
        rating: 5
    }, {
        name: 'Peet\'s Coffee',
        cuisine: 'Coffee',
        rating: 5
    }, {
        name: 'Coupa Cafe',
        cuisine: 'Coffee',
        rating: 3
    }, {
        name: 'Lytton Coffee Company',
        cuisine: 'Coffee',
        rating: 5
    }, {
        name: 'Il Fornaio',
        cuisine: 'Italian',
        rating: 4
    }, {
        name: 'Lavanda',
        cuisine: 'Mediterranean',
        rating: 3
    }, {
        name: 'MacArthur Park',
        cuisine: 'American',
        rating: 5
    }, {
        name: 'St Michael\'s Alley',
        cuisine: 'Californian',
        rating: 4
    }, {
        name: 'Osteria',
        cuisine: 'Italian',
        rating: 3
    }, {
        name: 'Vero',
        cuisine: 'Italian',
        rating: 5
    }, {
        name: 'Cafe Renzo',
        cuisine: 'Italian',
        rating: 4
    }, {
        name: 'Miyake',
        cuisine: 'Sushi',
        rating: 3
    }, {
        name: 'Sushi Tomo',
        cuisine: 'Sushi',
        rating: 5
    }, {
        name: 'Kanpai',
        cuisine: 'Sushi',
        rating: 4
    }, {
        name: 'Pizza My Heart',
        cuisine: 'Pizza',
        rating: 3
    }, {
        name: 'New York Pizza',
        cuisine: 'Pizza',
        rating: 5
    }, {
        name: 'California Pizza Kitchen',
        cuisine: 'Pizza',
        rating: 4
    }, {
        name: 'Round Table',
        cuisine: 'Pizza',
        rating: 3
    }, {
        name: 'Loving Hut',
        cuisine: 'Vegan',
        rating: 5
    }, {
        name: 'Garden Fresh',
        cuisine: 'Vegan',
        rating: 4
    }, {
        name: 'Cafe Epi',
        cuisine: 'French',
        rating: 5
    }, {
        name: 'Tai Pan',
        cuisine: 'Chinese',
        rating: 5
    }]
});
